/*****************************************************************/
/* POST */
/*****************************************************************/

.post {
  background: white;
  margin: 2em auto;
  max-width: 60rem;
  padding: 2em 3em;
  box-shadow:12px 18px 24px rgba(117, 103, 93, 0.1)
}

.post #post-edit-toolbar {
  display: grid;
  width: 100px;
  grid-template-columns: repeat(2, 1fr);
  column-gap: 20px;
  justify-content: center;
  border-radius: 5px;
  color: #002B10;
}

.post #post-edit-toolbar a:hover{
  
}


.post-title {
  color: rgb(133, 115, 90);
}

.post > * {
  margin-left: auto;
  margin-right: auto;
  /*max-width: 45rem;*/
  padding:0 1em
}

.post > h1 {
  font-size: 2em;
  max-width: 48rem;
  padding: 2em 1em;
  text-align:center
}

.post h2 {
  font-size: 2em;
}

.post p {
  text-align: justify;
  text-indent: 1.5em;
  text-justify:inter-word
}

.post-meta {
  margin-bottom: 2em;
  margin-top: 2em;
  text-align:right
}

.post-date {
  color: #64644B;
  display: block;
  font-size: .825em;
  white-space: nowrap;
  text-transform:uppercase
}


.article * {
    font-family: "EB Garamond", Garamond, "Times New Roman", serif;
  }

  .article ::selection {
    background: rgb(133, 115, 90);
    color: white;
  }

  .article h3 {
    border-bottom: 1px rgb(133, 115, 90) solid;
    padding: 1rem;
    color: #490505;
    width: 100%;
    text-align: center;
    box-sizing: border-box;
  }

  .article h4 {
    text-align: left;
    margin: 0;
    width: 100%;
    font-style: normal;
    font-size: 1em;
    margin-top: 1em;
    color: #001909;
  }

  .article .info {
    display: grid;
    grid-template-columns: auto auto;
    gap: 0.5rem;
    background-color: rgb(214, 197, 151);
    font-size: 0.8em;
    padding: 5px;
    justify-self: end;
  }

  .article .info .column {
    display: grid;
    grid-template-rows: repeat(5, 1.3em);
    justify-items: start;
  }

  .article .info .column:first-child {
    justify-items: end;
    border-right: 1px black solid;
  }

  .article two-column-table {
    display: grid;
    grid-template-columns: 100px auto;
    grid-template-rows: repeat(2, auto);
    gap: 1rem;
  }

  .article two-column-table grid-item:first-child,
  .article two-column-table grid-item:nth-child(3) {
    justify-items: center;
    justify-content: end;
    align-items: center;
    color: #002B10;
  }


  /* non-essential decorative styles */
  .article two-column-table grid-item {
    display: flex;
    justify-content: start;
  }

  .article .chartContainer {
    width: 100%;
    height: 300px;
    margin: 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
  }

  .article .row {
    display: flex;
    gap: 2rem;
  }

  .article .column {
    flex: 50%;
    justify-items: center;
    padding-top: 0rem;
    padding-right: 1rem;
    padding-bottom: 0rem;
    padding-left: 1rem;
  }

  @media (max-width: 768px) {
    .post {
      max-width: 100%;
      margin: 0;
      padding: 0;
    }
    .article .row {
      display: block;
      flex-wrap: wrap; 
      flex-direction: column; /* Stack columns vertically */
      gap: 1rem; /* Reduce the gap for better spacing */
    }

    .article .column {

    }
  }
  .article .column p {
    text-align: justify;
    text-indent: 0%;
    margin-bottom: 0.5em;;
  }


  .article .column.title {
    text-align: left;
    justify-items: start;
  }

  .article .column.title h2,
  .article .column.title h4 {
    color: black;
    margin: 0;
    padding: 0;
    text-align: left;
  }


  .article #price-chart {
    box-sizing: border-box;
    width: 100%;
  }

  .article .price-loader {
    background-color: white;
    z-index: 2019;
    position: absolute;
    top: 50%;
    left: 50%;
  }

  .article .price-loader span {
    content: "";
    display: block;
    width: 1.5rem;
    height: 1.5rem;
    background-color: rgb(214, 197, 151);
    border-radius: 50%;
    animation: loader 1s ease;
    transform-origin: center center;
    animation-iteration-count: infinite;
  }


  @keyframes loader {
    0% {
      transform: skewY(0) translate(0);
    }

    33% {
      transform: skewY(10deg) translate(4rem);
    }

    66% {
      transform: skewY(-10deg) translate(-4rem);
    }

    100% {
      transform: skewY(0) translate(0);
    }
  }


.article .valuation-container {
    text-align: center;
    width: 100%;
    box-sizing: border-box;
}

.article .valuation-container .valuation-table {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    border: 2px solid black;
    padding: 15px;
    max-width: 450px;
    margin: auto;
}

.article .valuation-container .stage {
    text-align: center;
}

.article .valuation-container .stage-title {
    font-size: 18px;
}

.article .valuation-container .years {
    font-size: 14px;
    text-transform: uppercase;
    letter-spacing: 1px;
}

.article .valuation-container .value {
    font-size: 16px;
    margin-top: 8px;
}

.article .valuation-container .value span {

}

.article .valuation-container .summary {
    margin-top: 15px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    text-align: center;
    max-width: 450px;
    margin: auto;
}

.article .valuation-container .summary div {
    font-size: 16px;
}

.article .valuation-container .summary .price, .summary .fair-value {
}

.article .valuation-container .margin-of-safety {
  margin-top: 1em;
}

.article #dcf-abbreviation-table {
  width: 100%;
}

.article #dcf-abbreviation-table th {
  background-color: #e1e1e1;
  padding: 0.5em;
  font-weight: normal;
}
.article #dcf-abbreviation-table tr:nth-child(odd) {
  background-color: #fafafa;
} 
.article #dcf-abbreviation-table tr:nth-child(even) {
  background-color: #ebe8e6;
}

.article #dcf-abbreviation-table tr td {
  padding: 0.5em;
} 

.valuation-container .container {
  max-width: 400px;
  margin: auto;
  padding: 20px;
  background-color: #fbfbfb;
  border: 1px solid #fff;
  box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.1);
  display: flex;
  flex-direction: column;
}

.valuation-container .container label {
  width: 100%;
  text-align: left;
}

.valuation-container .container input {
  width: 100%;
  padding: 5px;
  margin: 10px 0;
}

.valuation-container .container input:disabled {
  background-color: rgb(241, 241, 241);
}

.valuation-container .container h3 {
  border: none;
  margin-bottom: 1rem;
  padding: 0;
}

.dcf #units {
  padding: 0.5rem;
  text-align: center;
  font-style: italic;
}

.dcf .dcf-calculation {
  width: 100%;
  box-sizing: border-box;
  padding: 0.5rem;
  text-align: center;
  margin-top: 0.5em;
  margin-bottom: 0.5em;
  border: 1px rgba(195, 186, 175, 0.5) solid;
  background-color: #fbfaf8;
  border-radius: 3px;
  /*
  background: repeating-linear-gradient(
  -55deg,
  rgba(255, 248, 239, 0.1),
  rgba(255, 248, 239, 0.1) 10px,
  rgba(234, 224, 211, 0.1) 10px,
  rgba(234, 224, 211, 0.1) 20px
);
*/
}

.dcf .positive {
  color:#5eb511;
}

.dcf .negative {
  color:#881b00;
}

.erir .negative {
  color:#881b00;
}

.hidden {
  display: none;
}